#ifndef WMSTATE_H
#define WMSTATE_H

/* first the WIN_STATE from http://developer.gnome.org/doc/standards/wm/ */
#define WM_STATE_STICKY          (1<<0) /*everyone knows sticky*/
#define WM_STATE_MINIMIZED       (1<<1) /*Reserved - definition is unclear*/
#define WM_STATE_MAXIMIZED_VERT  (1<<2) /*window in maximized V state*/
#define WM_STATE_MAXIMIZED_HORIZ (1<<3) /*window in maximized H state*/
#define WM_STATE_HIDDEN          (1<<4) /*not on taskbar but window visible*/
#define WM_STATE_SHADED          (1<<5) /*shaded (MacOS / Afterstep style)*/
#define WM_STATE_HID_WORKSPACE   (1<<6) /*not on current desktop*/
#define WM_STATE_HID_TRANSIENT   (1<<7) /*owner of transient is hidden*/
#define WM_STATE_FIXED_POSITION  (1<<8) /*window is fixed in position even*/
#define WM_STATE_ARRANGE_IGNORE  (1<<9) /*ignore for auto arranging*/
/* then the WIN_HINTS */
#define WM_STATE_SKIP_FOCUS      (1<<10) /*"alt-tab" skips this win*/
#define WM_STATE_SKIP_WINLIST    (1<<11) /*do not show in window list*/
#define WM_STATE_SKIP_TASKBAR    (1<<12) /*do not show on taskbar*/
#define WM_STATE_GROUP_TRANSIENT (1<<13) /*Reserved - definition is unclear*/
#define WM_STATE_FOCUS_ON_CLICK  (1<<14) /*app only accepts focus if clicked*/
/* then the NET_WM_STATE which are not included below */
#define WM_STATE_FULLSCREEN      (1<<15)
#define WM_STATE_MODAL           (1<<16)
#define WM_STATE_SKIP_PAGER      (1<<17)

#endif // WMSTATE_H
