# Copyright Olivier Chapuis (CNRS), Matthieu Langet (CNRS), 2005.
# 
# <chapuis@lri.fr> <mathieu.langet@lri.fr>
# 
# This software is a computer program whose purpose is to log the
# window management activity into some files.
# 
# This software is governed by the CeCILL  license under French law and
# abiding by the rules of distribution of free software.  You can  use, 
# modify and/ or redistribute the software under the terms of the CeCILL
# license as circulated by CEA, CNRS and INRIA at the following URL
# "http://www.cecill.info".
# 
# As a counterpart to the access to the source code and  rights to copy,
# modify and redistribute granted by the license, users are provided only
# with a limited warranty  and the software's author,  the holder of the
# economic rights,  and the successive licensors  have only  limited
# liability. 
# 
# In this respect, the user's attention is drawn to the risks associated
# with loading,  using,  modifying and/or developing or reproducing the
# software by the user in light of its specific status of free software,
# that may mean  that it is complicated to manipulate,  and  that  also
# therefore means  that it is reserved for developers  and  experienced
# professionals having in-depth computer knowledge. Users are therefore
# encouraged to load and test the software's suitability as regards their
# requirements in conditions enabling the security of their systems and/or 
# data to be ensured and,  more generally, to use and operate it in the 
# same conditions as regards security. 
# 
# The fact that you are presently reading this means that you have had
# knowledge of the CeCILL license and that you accept its terms.

#%define prefix %{_prefix}
%define prefix /usr

Prefix: %{prefix}

%define ver 1.1
%define rel 1
%define m_p CFLAGS="-g -O2"
%define c_p --x-includes=/usr/X11R6/include/ --x-libraries=/usr/X11R6/lib/

# Different distributions expect sources to be in different places;
# the following solves this problem, but makes it harder to reuse .src.rpm
%define _sourcedir /tmp

Summary:   A window manager tracer
Name:      wmtrace
Version:   %{ver}
Release:   %{rel}
Copyright: GPL
Group:     Development/Tools
Source:    %{name}-%{version}.tar.gz
URL:	   http://www.lri.fr/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager:  Olivier Chapuis  <chapuis@lri.fr>
Autoreq: 1



Provides:  wmtrace

Docdir:    %{prefix}/share/doc

%description
A window manager tracer.

%prep
%setup

%build
./configure --prefix=%{prefix} --mandir=/usr/share/man %{c_p}
make %{m_p}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT prefix=%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -d /etc/X11/xinit.d/ ]; then
	rm -f /etc/X11/xinit.d/wmtrace-xinit
	ln -s %{prefix}/bin/wmtrace-xinit /etc/X11/xinit.d/wmtrace-xinit
fi
if [ -d /etc/X11/xinit/xinitrc.d/ ]; then
	rm -f /etc/X11/xinit/xinitrc.d/wmtrace-xinit
	ln -s %{prefix}/bin/wmtrace-xinit /etc/X11/xinit/xinitrc.d/wmtrace-xinit
fi

%postun
rm -f /etc/X11/xinit.d/wmtrace-xinit
rm -f /etc/X11/xinit/xinitrc.d/wmtrace-xinit

%files
%defattr(-, root, root)

%doc AUTHORS COPYING NEWS README CeCILL.en  CeCILL.fr
%{prefix}/bin/*


%define date%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* Sun May 05 2004  Olivier Chapuis
  - First try at making the package
