#ifndef ATOMS_H
#define ATOMS_H

typedef struct
{
	Atom atom;
	Atom type;
} atom_t;

/* checking atoms */
extern atom_t atom_net_check;
extern atom_t atom_net_supported;
extern atom_t atom_win_check;
extern atom_t atom_win_supported;

/* "root" atoms */
extern atom_t atom_client_list;
extern atom_t atom_net_client_list_stacking;
extern atom_t atom_net_active_window;
extern atom_t atom_net_current_desktop;
extern atom_t atom_net_number_of_desktops;
extern atom_t atom_net_desktop_viewport;
extern atom_t atom_net_desktop_geometry;
extern atom_t atom_net_desktop_names;
extern atom_t atom_net_desktop_layout;
extern atom_t atom_net_showing_desktop; /* not handled */
extern atom_t atom_net_workarea;

extern atom_t atom_net_virtual_roots;

/* Other Root Window Messages: _NET_CLOSE_WINDOW _NET_MOVERESIZE_WINDOW
 * _NET_WM_MOVERESIZE not needed for now */

/* window property */
extern atom_t atom_wm_desktop;
extern atom_t atom_wm_state;
extern atom_t atom_net_wm_state;
extern atom_t atom_win_state;
extern atom_t atom_win_hints;
extern atom_t atom_win_layer;

extern atom_t atom_net_wm_allowed_actions;
extern atom_t atom_net_wm_strut;
extern atom_t atom_net_wm_partial_strut;
extern atom_t atom_net_wm_icon_geometry;
extern atom_t atom_net_wm_icon; /* not handled */
extern atom_t atom_net_wm_handle_icons;
extern atom_t atom_net_wm_user_time; /* not handled */
extern atom_t atom_net_wm_extents;
extern atom_t atom_kde_net_frame_strut;

extern atom_t atom_net_wm_window_type;
extern atom_t atom_win_window_type;
extern atom_t atom_net_wm_pid;
extern atom_t atom_mmpl_pid;
extern atom_t atom_mmpl_parent_pid;
extern atom_t atom_client_machine;

extern atom_t atom_wm_name;
extern atom_t atom_net_wm_name;
extern atom_t atom_net_wm_visible_name;
extern atom_t atom_wm_icon_name; /* not handled */
extern atom_t atom_net_wm_icon_name; /* not handled */
extern atom_t atom_net_wm_visible_icon_name; /* not handled */

/* _net_wm_state state */
extern atom_t atom_net_wm_state_below;
extern atom_t atom_net_wm_state_above;
extern atom_t atom_net_wm_state_stays_on_top;
extern atom_t atom_net_wm_state_fullscreen;
extern atom_t atom_net_wm_state_hidden;
extern atom_t atom_net_wm_state_maximized_horiz;
extern atom_t atom_net_wm_state_maximized_horz;
extern atom_t atom_net_wm_state_maximized_vert;
extern atom_t atom_net_wm_state_modal;
extern atom_t atom_net_wm_state_shaded;
extern atom_t atom_net_wm_state_skip_pager;
extern atom_t atom_net_wm_state_skip_taskbar;
extern atom_t atom_net_wm_state_sticky;

/* alowed action */
atom_t atom_net_wm_action_move;
atom_t atom_net_wm_action_resize;
atom_t atom_net_wm_action_minimize;
atom_t atom_net_wm_action_shade;
atom_t atom_net_wm_action_stick;
atom_t atom_net_wm_action_maximize_horz;
atom_t atom_net_wm_action_maximize_vert;
atom_t atom_net_wm_action_fullscreen;
atom_t atom_net_wm_action_change_desktop;
atom_t atom_net_wm_action_close;

void atom_init0(Display *disp);
void atom_init(Display *dpy, Bool ewmh_compliant);

#endif
