#ifndef TRACE_H
#define TRACE_H

#include "xget.h"

int init_sender(void);
void close_sender(void);

void update_shortcut_modifiers(Display *disp);

void send_simple_msg(int type, int id, int event_time);
void send_long_msg(int type, int id, int event_time, long k);
void send_unsigned_msg(int type, int id, int event_time, unsigned long k);
void send_size(
	int type, int id, int event_time, unsigned long w, unsigned long h);
void send_position(int type, int id, int event_time, long x, long y);
void send_geometry(
	int type, int id, int event_time, int x, int y, int w, int h);
void send_name(int type, int id, int event_time, char *str, int net);
void send_names_list(
	int type, int id, int event_time, unsigned char **names,
	unsigned int nbr);
void send_desktop_layout(int event_time, desktop_layout_t *dl);
void send_strut(int type, int id, int event_time, strut_t *s);
void send_partial_strut(int type, int id, int event_time, partial_strut_t *s);
void send_button_msg(int event_time, button_event *be);
void send_key_msg(int type, int id, int event_time, int key, int state);
void send_selection_notify(int event_time, int owner_id, char *val);
void send_selection_request(int event_time, int owner_id, int requestor_id);
void send_create_window(int id, int event_time);
void send_wm_info(int event_time, char *wm_name, char *ewmh, char *win);
void send_stacking_list(int event_time, int *list, int size);
void send_xinerama_info(int event_time, XineramaScreenInfo *info, int count);
void send_xerror(XErrorEvent *e);
void send_anystr(char *type, char *str);

#endif
